package com.zswc.creativity.model

import com.ysnows.base.inter.IModel

/**
 *Created by shihuiyun
 *on 2020/9/27
 */
data class InvoiceList(var info_id:String,var info_sn:String, var true_total:String,
                       var create_time:String,var checked: Int = 0,
                       var receive: List<ReceiveBean>,):IModel {

    data class ReceiveBean(var data_id: String, var info_id: String, var lat: String,
                           var lng: String, var address: String, var name: String, var mobile: String, var goods: String,
                           var goods_type: GoodsTypeBean, var nums: String, var nums_type: NumsTypeBean, var price: String, var total: String,
                           var time: String, var type: String, var create_time: String, var update_time: String, var delete_time: String,
                           var province: ProvinceBean, var city: CityBean, var area: AreaBean
    ) : IModel {
        data class ProvinceBean(var name: String, var code: String) : IModel {

        }

        data class CityBean(var name: String, var code: String) : IModel {

        }

        data class AreaBean(var name: String, var code: String) : IModel {

        }

        data class GoodsTypeBean(var name: String, var code: String) : IModel {

        }

        data class NumsTypeBean(var name: String, var code: String) : IModel {

        }


    }
}
